Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.ra
Class DefaultConnectionManager

    java.lang.Object
      org.codehaus.activemq.ra.DefaultConnectionManager

All Implemented Interfaces:
  ConnectionEventListener, ConnectionManager, java.util.EventListener, java.io.Serializable

public class DefaultConnectionManager
extends java.lang.Object
implements ConnectionManager, ConnectionEventListener

A simple implementation of a ConnectionManager. An App Server will have a better implementation with pooling and security etc.

Version:
  $Revision: 1.4 $
See Also:
  Serialized Form

Constructor Summary
`DefaultConnectionManager()`

Method Summary
`java.lang.Object` | `allocateConnection(ManagedConnectionFactory connectionFactory, ConnectionRequestInfo info)`
`void` | `connectionClosed(ConnectionEvent event)`
`void` | `connectionErrorOccurred(ConnectionEvent event)`
`void` | `localTransactionCommitted(ConnectionEvent event)`
`void` | `localTransactionRolledback(ConnectionEvent event)`
`void` | `localTransactionStarted(ConnectionEvent event)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultConnectionManager

    public DefaultConnectionManager()

Method Detail

### allocateConnection

    public java.lang.Object allocateConnection(ManagedConnectionFactory connectionFactory,
                                               ConnectionRequestInfo info)
                                        throws ResourceException

  Specified by:
    `allocateConnection` in interface `ConnectionManager`
  Throws:
    `ResourceException`
  See Also:
    `ConnectionManager.allocateConnection(javax.resource.spi.ManagedConnectionFactory, javax.resource.spi.ConnectionRequestInfo)`

### connectionClosed

    public void connectionClosed(ConnectionEvent event)

  Specified by:
    `connectionClosed` in interface `ConnectionEventListener`
  See Also:
    `ConnectionEventListener.connectionClosed(javax.resource.spi.ConnectionEvent)`

### localTransactionStarted

    public void localTransactionStarted(ConnectionEvent event)

  Specified by:
    `localTransactionStarted` in interface `ConnectionEventListener`
  See Also:
    `ConnectionEventListener.localTransactionStarted(javax.resource.spi.ConnectionEvent)`

### localTransactionCommitted

    public void localTransactionCommitted(ConnectionEvent event)

  Specified by:
    `localTransactionCommitted` in interface `ConnectionEventListener`
  See Also:
    `ConnectionEventListener.localTransactionCommitted(javax.resource.spi.ConnectionEvent)`

### localTransactionRolledback

    public void localTransactionRolledback(ConnectionEvent event)

  Specified by:
    `localTransactionRolledback` in interface `ConnectionEventListener`
  See Also:
    `ConnectionEventListener.localTransactionRolledback(javax.resource.spi.ConnectionEvent)`

### connectionErrorOccurred

    public void connectionErrorOccurred(ConnectionEvent event)

  Specified by:
    `connectionErrorOccurred` in interface `ConnectionEventListener`
  See Also:
    `ConnectionEventListener.connectionErrorOccurred(javax.resource.spi.ConnectionEvent)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.